Bug 1288839 - group install don't all packages in group
group install don't all packages in group
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 08:26 EST by Terje Røsten
Modified: 2015-12-14 11:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 11:47:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2015-12-06 08:26:23 EST
Description of problem:

dnf don't check if all packages in a group are installed when doing

 dnf group install <group-name>

(I was think that was the whole point with groups or ?)

Reproduce:

On system with mate-desktop group not installed, install a mate *package*:

$ dnf install mate-control-center

now, for some reason dnf thinks mate-desktop group is installed:

$ dnf groupinstall mate-desktop
Group 'MATE' is already installed, skipping.
Dependencies resolved.
Nothing to do

However, very few of the mate package in mate-desktop group are installed:

for pkg in $(dnf group info mate-desktop | grep mate); do rpm -q $pkg; done

package f23-backgrounds-mate is not installed
libmatekbd-1.12.0-1.fc23.x86_64
libmatemixer-1.12.0-1.fc23.x86_64
package libmateweather is not installed
package mate-applets is not installed
package mate-backgrounds is not installed
package mate-calc is not installed
mate-control-center-1.12.0-3.fc23.x86_64
package mate-desktop is not installed
package mate-dictionary is not installed
package mate-disk-usage-analyzer is not installed
package mate-icon-theme is not installed
package mate-media is not installed
mate-menus-1.12.0-1.fc23.x86_64
package mate-menus-preferences-category-menu is not installed
package mate-notification-daemon is not installed
package mate-panel is not installed
package mate-polkit is not installed
package mate-power-manager is not installed
package mate-screensaver is not installed
package mate-screenshot is not installed
package mate-search-tool is not installed
package mate-session-manager is not installed
mate-settings-daemon-1.12.0-1.fc23.x86_64
package mate-system-log is not installed
package mate-system-monitor is not installed
package mate-terminal is not installed
package mate-themes is not installed

I think yum did this correct and check that all packages in group was in fact installed and installed all missing packages on "group install".
Comment 1 Michal Luscon 2015-12-09 06:34:42 EST
Hi, do you have strict=false in your dnf.conf?
Comment 2 Terje Røsten 2015-12-09 08:13:30 EST
Default config:

[main]
gpgcheck=1
installonly_limit=3
clean_requirements_on_remove=true
Comment 3 Honza Silhan 2015-12-14 11:47:05 EST
Please use command `dnf group install <groupname>` (groupinstall is not documented).
If you still experience the problem, reopen and provide additional information with executed commands and their output and dnf version (rpm -q dnf). Thanks.

Note You need to log in before you can comment on or make changes to this bug.